Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
PhysxForceField Class Reference

A force field effector. More...

`#include "physxForceField.h"`

Inheritance diagram for PhysxForceField:

## Public Member Functions
virtual TypeHandle | force_init_type ()
PhysxForceFieldShapeGroup * | get_include_shape_group () const
const char * | get_name () const
unsigned int | get_num_shape_groups () const
PhysxScene * | get_scene () const
PhysxForceFieldShapeGroup * | get_shape_group (unsigned int idx) const
virtual TypeHandle | get_type () const
void | link (NxForceField *ptr)
void | ls () const
void | ls (std::ostream &out, int indent_level=0) const
NxForceField * | ptr () const
void | release ()
void | set_name (const char *name)
void | unlink ()
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from PhysxObject
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
| get_num_shape_groups
| get_shape_group
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

A force field effector.

Instances of this object automate the application of forces onto rigid bodies, fluid, soft bodies and cloth. Force fields allow you to implement for example gusts of wind, dust devils, vacuum cleaners or anti-gravity zones.

Definition at line 33 of file physxForceField.h.

## Constructor & Destructor Documentation

## ◆ PhysxForceField()

PhysxForceField::PhysxForceField | ( |  | ) |
| inline

Definition at line 17 of file physxForceField.I.

## ◆ ~PhysxForceField()

PhysxForceField::~PhysxForceField | ( |  | ) |
| inline

Definition at line 25 of file physxForceField.I.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle PhysxForceField::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from PhysxObject.

Definition at line 80 of file physxForceField.h.

## ◆ get_class_type()

static TypeHandle PhysxForceField::get_class_type | ( |  | ) |
| inline static

Definition at line 69 of file physxForceField.h.

## ◆ get_include_shape_group()

PhysxForceFieldShapeGroup * PhysxForceField::get_include_shape_group | ( |  | ) | const

Definition at line 108 of file physxForceField.cxx.

## ◆ get_name()

const char * PhysxForceField::get_name | ( |  | ) | const

Definition at line 88 of file physxForceField.cxx.

## ◆ get_scene()

PhysxScene * PhysxForceField::get_scene | ( |  | ) | const

Definition at line 98 of file physxForceField.cxx.

## ◆ get_type()

virtual TypeHandle PhysxForceField::get_type | ( |  | ) | const
| inline virtual

Reimplemented from PhysxObject.

Definition at line 77 of file physxForceField.h.

## ◆ init_type()

static void PhysxForceField::init_type | ( |  | ) |
| inline static

Definition at line 72 of file physxForceField.h.

## ◆ link()

void PhysxForceField::link | ( | NxForceField * | ptr | ) |

Definition at line 24 of file physxForceField.cxx.

## ◆ ls() [1/2]

void PhysxForceField::ls | ( |  | ) | const
| inline virtual

Implements PhysxObject.

Definition at line 33 of file physxForceField.I.

## ◆ ls() [2/2]

void PhysxForceField::ls | ( | std::ostream & | out,
|  | int | indent_level = 0 ) const
| inline virtual

Implements PhysxObject.

Definition at line 42 of file physxForceField.I.

## ◆ ptr()

NxForceField * PhysxForceField::ptr | ( |  | ) | const
| inline

Definition at line 59 of file physxForceField.h.

## ◆ release()

void PhysxForceField::release | ( |  | ) |

Definition at line 63 of file physxForceField.cxx.

## ◆ set_name()

void PhysxForceField::set_name | ( | const char * | name | ) |

Definition at line 76 of file physxForceField.cxx.

## ◆ unlink()

void PhysxForceField::unlink | ( |  | ) |

Definition at line 45 of file physxForceField.cxx.

## Member Data Documentation

## ◆ get_num_shape_groups

unsigned int PhysxForceField::get_num_shape_groups

Definition at line 50 of file physxForceField.h.

## ◆ get_shape_group

PhysxForceFieldShapeGroup * PhysxForceField::get_shape_group

Definition at line 50 of file physxForceField.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxForceField.h
- panda/src/physx/physxForceField.cxx
- panda/src/physx/physxForceField.I